<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_dcf86ccc31af7f63af36115aa12" . "b1ee7" => base64_decode("Y2hkaXI" . "="), "_eb3d186008" . "f632a0f30f9" . "ceb2ecf5d9c" => base64_decode("cmV" . "jb3" . "Zlc" . "g=="), "_70dc1ee" . "5e25ad6e" . "161d08e0" . "a3cd1612" . "4" => base64_decode("VXBkYXRpbmcgYX" . "BwbGljYXRpb24g" . "aW5zdGVhZA=="), "_11def3af2a833468dd0e4ff1f0" . "bc5414" => base64_decode("Li4vY29yZS9ib290c3RyYXAu" . "cGhw"), "_9342063570b40df207520439" . "4b59df59" => base64_decode("Z2V0" . "Y3dk"), "_e13e80e20d331face5f56ce9" . "d9be42cd" => base64_decode("cmVzdG9" . "yZV9lcn" . "Jvcl9oY" . "W5kbGVy"), "_dda96eb36c" . "5664b9e2bd4" . "34a776edb25" => base64_decode("L1BoaW5nTG" . "9nZ2VyLnBo" . "cA=="), "_7618fa2e44dd7c2de26ed141" . "3b53cddd" => base64_decode("Ly4uLy4uLy4u" . "L3NldHVw"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_dda96eb36c5664b9e2bd434a7" . "76edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9342063570b40df2075204394b59" . "df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dcf86ccc31af7f63af36115aa12" . "b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7618fa2e44dd7c2de26ed1413" . "b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_11def3af2a833468dd0e4f" . "f1f0bc5414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e13e80e20d331face5f56ce9d" . "9be42cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_eb3d186008f632a0f30f9ceb2e" . "cf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_70dc1ee5e25a" . "d6e161d08e0a3" . "cd16124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dcf86ccc31af7f63af36115aa1" . "2b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dcf86ccc31af7f63af36115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}